Package com.xebialabs.xlrelease.domain.management

# Class ServiceState

java.lang.Object
com.xebialabs.xlrelease.domain.management.ServiceState

public class ServiceState extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceState()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final scala.Enumeration.Value`
  `apply(int x)`
  `static final int`
  `maxId()`
  `protected static int`
  `nextId()`
  `protected static void`
  `nextId_$eq(int x$1)`
  `protected static scala.collection.Iterator<String>`
  `nextName()`
  `protected static void`
  `nextName_$eq(scala.collection.Iterator<String> x$1)`
  `protected static Object`
  `readResolve()`
  `static scala.Enumeration.Value`
  `Running()`
  `static scala.Enumeration.Value`
  `Starting()`
  `static scala.Enumeration.Value`
  `Stopped()`
  `static scala.Enumeration.Value`
  `Stopping()`
  `static String`
  `toString()`
  `protected static final scala.Enumeration.Value`
  `Value()`
  `protected static final scala.Enumeration.Value`
  `Value(int i)`
  `protected static final scala.Enumeration.Value`
  `Value(int i, String name)`
  `protected static final scala.Enumeration.Value`
  `Value(String name)`
  `static scala.Enumeration.ValueSet`
  `values()`
  `static final scala.Enumeration.Value`
  `withName(String s)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceState

    public ServiceState()

- ## Method Details

  - ### Starting

    public static scala.Enumeration.Value Starting()

  - ### Running

    public static scala.Enumeration.Value Running()

  - ### Stopping

    public static scala.Enumeration.Value Stopping()

  - ### Stopped

    public static scala.Enumeration.Value Stopped()

  - ### readResolve

    protected static Object readResolve()

  - ### toString

    public static String toString()

  - ### values

    public static scala.Enumeration.ValueSet values()

  - ### nextId

    protected static int nextId()

  - ### nextId_$eq

    protected static void nextId_$eq(int x$1)

  - ### nextName

    protected static scala.collection.Iterator<String> nextName()

  - ### nextName_$eq

    protected static void nextName_$eq(scala.collection.Iterator<String> x$1)

  - ### maxId

    public static final int maxId()

  - ### apply

    public static final scala.Enumeration.Value apply(int x)

  - ### withName

    public static final scala.Enumeration.Value withName(String s)

  - ### Value

    protected static final scala.Enumeration.Value Value()

  - ### Value

    protected static final scala.Enumeration.Value Value(int i)

  - ### Value

    protected static final scala.Enumeration.Value Value(String name)

  - ### Value

    protected static final scala.Enumeration.Value Value(int i, String name)